Define the support for a MediaWiki-centric spinoff in the Wikimedia Foundation Annual Plan FY2016-17
Closed, ResolvedPublic

Description

Long story short (feel free the improve this descriptions): there have been many discussions about creating a MediaWiki Foundation or a similar kind of MediaWiki-centric organization focusing on 3rd party, non-Wikimedia use cases. The efforts are today being driven by the MediaWiki Stakeholders Group.

At the Wikimedia-Developer-Summit-2016 , there were discussions (T119403) about defining finally an implementable plan. The (reliably unofficial) position of the Wikimedia Foundation is that we will not drive that effort ourselves, but it is possible to discuss whether we would support it in some form. The first step for such conversation is a proposal from the promoters of the new group, explaining what they request from the WMF.

The Technical Collaboration team is working on their slice of the WMF Annual Plan. Now it is the time to request budget for planned activities. Therefore, it is a good time to ask if these promoters need support from the WMF during FY 2016-17, and which kind of support exactly.

Note that while this is the first stop to request funds/support for the next fiscal year, it is not the last. If this doesn't work now, there might be other chances through the different Grants programs of the WMF.

Note also that the Technical Collaboration team is working on its own draft of the annual plan, which is subject to criticism, negotiation, cuts... within the WMF and as part of the Funds Dissemination Committee review process. Having a proposal included in our draft plan will not be a guarantee for anything until the plan is approved.

Qgil created this task.Feb 18 2016, 2:47 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 18 2016, 2:47 PM
80686 edited the task description. (Show Details)Feb 18 2016, 2:57 PM
80686 awarded a token.
80686 added a subscriber: 80686.
Darenwelsh edited the task description. (Show Details)Feb 18 2016, 3:07 PM
Darenwelsh added a subscriber: Darenwelsh.
MZMcBride changed the title from "Define the support for a MediaWiki-centric spinoff in the WMNF Annual Plan FY2016-17" to "Define the support for a MediaWiki-centric spinoff in the Wikimedia Foundation Annual Plan FY2016-17".Feb 18 2016, 3:12 PM

Are you sure that the the discussion was only about creating an organization "focusing on 3rd party, non-Wikimedia use cases"? I thought the discussion (at least at the 2015 developer summit) was about creating a foundation that would take over the full development of MediaWiki, with Wikimedia sites as of course the primary stakeholder - a true "MediaWiki Foundation", employing many or most of the developers currently working for the WMF. Did I misunderstand the whole thing?

greg added a subscriber: greg.Feb 18 2016, 3:37 PM
Wmat added a subscriber: Wmat.Feb 18 2016, 4:07 PM

Did I misunderstand the whole thing?

Yes...?

Qgil added a comment.EditedFeb 18 2016, 9:12 PM

(For what is worth, this is not the place to discuss what this "spin-off" should be, neither we Developer Relations have any take on this. Just tell us if there is an ask that you want reflected in the WMF Annual Plan, and then we can talk.

Sorry for being so cold and materialistic, but ultimately this task is about adding or not a $ amount to the draft budget of the Developer Relations team for FY2016-17.)

Wmat added a comment.Feb 18 2016, 9:16 PM

As a non-WMF MediaWiki user in both enterprise and private practice, I'm interested in the outcome here. My take would be a specific MediaWiki Foundation with contribution from Wikimedia. However, I'm not so sure the current situation is that bad, if bad at all.

@Qgil, are you requesting proposals from prospective MediaWiki Foundation creators?

hashar added a subscriber: hashar.
RHeigl added a subscriber: RHeigl.Feb 20 2016, 12:40 PM
Tgr added a subscriber: Tgr.Feb 20 2016, 9:56 PM
Tgr edited the task description. (Show Details)Feb 20 2016, 11:05 PM
Tgr added a comment.Feb 20 2016, 11:12 PM

@Qgil since this is for the 2016-17 budget planning, which is already in full swing, I presume there is a time limit. Can you clarify?

ori added a subscriber: ori.Feb 20 2016, 11:13 PM

This would be a disaster, in my opinion. The Wikimedia Foundation would inevitably fork, whether consciously and deliberately or not: there is going to be some Wikimedia Foundation developer under pressure to deliver a feature or a bugfix; upstream will be ambivalent or negative, so "just this once" it'll be merged without being upstreamed. The Foundation would drift further and further from upstream, and there will be so much cynicism, fragmentation, and mutual resentment, that the developer community will disintegrate.

So: no, per WP:NOTSUICIDE. We can't stop anyone from doing this, but I don't see why we should support it.

Tgr added a comment.Feb 20 2016, 11:24 PM

@ori you are assuming that the new organization would own the MediaWiki codebase in some sense, which is not necessary (and even if it would be wanted, it would be completely unrealistic and irresponsible for a new organization to immediately do so).

ori added a comment.Feb 20 2016, 11:33 PM

@ori you are assuming that the new organization would own the MediaWiki codebase in some sense, which is not necessary (and even if it would be wanted, it would be completely unrealistic and irresponsible for a new organization to immediately do so).

Any entity describing itself as "MediaWiki Foundation" is going to sow confusion and fragmentation in the user and developer communities. If it isn't promoting itself as the go-to entity for MediaWiki support, development and community, then why is it billing itself the MediaWiki Foundation? And if it is promoting itself as the go-to entity for these things, how is it not splitting the community?

Let's not argue over naming issues for now, but about a potential mission. What I envision is an entity caring for MediaWiki as a software program users can utlilize for their own needs. Definitely, there is a deep relation to "the software that runs Wikipedia", and this connection cannot be severed. And it should not, as MediaWiki draws a lot of it's, say, "street credibility" from being the software that runs Wikipedia. However, who would deny that the software product MediaWiki deserves much more attention than it gets now? The WMF struggles over it's relation to MediaWiki, as it is not clear whether it fits in the mission of spreading free knowledge (I do think so, but I can see no concensus here). A seperate entity could take on the task of making MediaWiki a software product for anyone who cares about sharing knowledge. So actually, if properly shaped, a "MediaWiki Foundation" (or whatever we call it) could not only bring much more clarity, but also finally recognize the fact that MediaWiki is a significat player in the area of social web software.

Tgr added a comment.Feb 21 2016, 1:47 AM

@ori I think these predictions of doom are in their current form too vague and nonspecific to have a useful discussion about. Forking MediaWiki (or having a Wikia-style de facto fork) is a concrete concern that can be addressed, but how would community fragmentation/split come about? What would it confuse people about? Compare the Wiki Edu Foundation - did that split the community?

Tgr added a comment.Feb 21 2016, 1:50 AM

(@Qgil sorry if we are getting out of scope here. Feel free to point out a better place for the discussion about how the entity should like. Logically, that discussion needs to precede the kind of proposal this task asks for, though.)

Today a fork is not at the agenda. We had many discussions in the last months and in my opinion it would already helpfull to get an special release for third-party users. Which means:

  1. Define the most needed extensions (that's already done and could be complemented by some important extensions for enterprise needs and some extensions from important projects like SMW)
  2. Integrate these extensions or make them at least compatible
  3. Get proper descriptions at MediaWiki.org
  4. Organize a release process
  5. Give this release a nice name

For this we need some support and WMF could at least benefit by a better integration of external developers. I can imagine much more. A "MediaWiki Foundation" is not to desintegrate but to integrate people and stakeholders.

TheDJ added a subscriber: TheDJ.Feb 21 2016, 3:12 PM

I'm not against such an organization, but I don't see why it should be a part of fundamental WMF strategy, budget or annual plan at this point in time.

If some sort of support by WMF is needed (legal?), I'm sure there is some extra space in the budget to lend a helping hand here and there. But I think that without a clear mission statement, a proposed allocation of short term and long term responsibilities and at the very least 2 people to invest a lot of time into this, it simply isn't concrete enough to think of in terms of WMF budget. Anyone interested in truly picking up this work (because that is what it is), and requiring some funding could easily turn to EPG and/or APG grants I think.

Today a fork is not at the agenda. We had many discussions in the last months and in my opinion it would already helpfull to get an special release for third-party users.

I assume you're speaking as a member of the MediaWiki Stakeholders Group? Please be careful when using "we" as it be can confusing. :-)

There's currently no consensus for the various related proposals here. @RobLa-WMF has been pushing the "fork MediaWiki" idea on the wikitech-l mailing list (cf. https://lists.wikimedia.org/pipermail/wikitech-l/2016-January/084570.html) and he has received a similarly cool response there. No sane developer would actively choose to fork a 15-year-old PHP project composed of hundreds of thousands of lines of code, with many parts being quite esoteric. Anyone who would willingly take this project on is too inexperienced and naïve to be effective; anyone who could be effective knows better than to embark on this death march. ("Death march" meaning an endless undertaking with murky and constantly evolving goals and requirements.)

I'm not against such an organization, but I don't see why it should be a part of fundamental WMF strategy, budget or annual plan at this point in time.

If some sort of support by WMF is needed (legal?), I'm sure there is some extra space in the budget to lend a helping hand here and there. But I think that without a clear mission statement, a proposed allocation of short term and long term responsibilities and at the very least 2 people to invest a lot of time into this, it simply isn't concrete enough to think of in terms of WMF budget. Anyone interested in truly picking up this work (because that is what it is), and requiring some funding could easily turn to EPG and/or APG grants I think.

Agreed. Well said.

Qgil added a comment.EditedFeb 22 2016, 10:10 PM

@Qgil, are you requesting proposals from prospective MediaWiki Foundation creators?

Yes. In the T119403: Meeting with MW Stakeholders and WMF (meeting notes), I took the action of finding out what is the support of the Wikimedia Foundation toward this initiative. In these conversations it was clear that the WMF will not come up with a plan, because for us it doesn't have enough priority. Therefore if there is a plan, it needs to come from someone else, being the MediaWiki-Stakeholders-Group the most obvious candidates.

@Qgil since this is for the 2016-17 budget planning, which is already in full swing, I presume there is a time limit. Can you clarify?

I have a soft deadline on T124420: Technical Collaboration narratives and budget for strategic work draft for this Friday 26, and all WMF teams have a hard deadline to share their drafts internally by March 4. If the draft doesn't include an ask by these dates, then surely there will be no ask in the next WMF Annual Plan. If an ask is included, then it can still be challenged, reduced, and cut completely during the multiple reviews this Annual Plan will go between March and June.

(@Qgil sorry if we are getting out of scope here. Feel free to point out a better place for the discussion about how the entity should like. Logically, that discussion needs to precede the kind of proposal this task asks for, though.)

Someone from the MediaWiki-Stakeholders-Group should point to the place for discussing the plan. After the Summit there was at least one meeting and I remember an etherpad where some notes were taken, but I'm not aware of i.e. a wiki page summarizing a proposal.

I'm not against such an organization, but I don't see why it should be a part of fundamental WMF strategy, budget or annual plan at this point in time.

If some sort of support by WMF is needed (legal?), I'm sure there is some extra space in the budget to lend a helping hand here and there. But I think that without a clear mission statement, a proposed allocation of short term and long term responsibilities and at the very least 2 people to invest a lot of time into this, it simply isn't concrete enough to think of in terms of WMF budget. Anyone interested in truly picking up this work (because that is what it is), and requiring some funding could easily turn to EPG and/or APG grants I think.

To be clear, I am not advocating for any specific solution. I'm just trying to help bringing this old discussion somewhere by inviting their promoters to play with the WMF mechanisms. So far the topic seems not to be relevant in the context of the WMF strategy consultation. Let's see if something happens in the context of the Annual Plan. Otherwise, there are still more chances to request grants to the WMF, yes.

Qgil added a comment.Feb 26 2016, 10:30 AM

Silence probably means that this initiative is not ready for this call now. Or perhaps this is not the right call in the first place, and if this initiative seeks support from the WMF, it should be requested through a specific grant.

Do you agree with this analysis?

@Qgil correct (at least for MediaWiki-Stakeholders-Group). We discussed this and came to the conclusion that we are not ready to produce any substantial numbers yet. Going through a grant later on seems to be a more realistic option.

Qgil closed this task as "Resolved".Feb 26 2016, 10:49 AM

Thank you very much, @Mglaser . I will close this task as resolved, since the support (or lack of) as been defined for the WMF Annual Plan.

Even if we are at the same point where we were before I crated this task, I think the exercise has been useful. Thank you everybody for your participation.